import { Injectable } from '@nestjs/common';
import { InjectRepository } from '@nestjs/typeorm';
import { CONNECTION_NAME } from 'src/core/strings/constants/base.constants';
import { DataSchedulingLogModel } from '../models/data-scheduling-log.model';
import { Repository } from 'typeorm';

@Injectable()
export class DataSchedulingLogService {
  constructor(
    @InjectRepository(DataSchedulingLogModel, CONNECTION_NAME.DEFAULT)
    private repo: Repository<DataSchedulingLogModel>,
  ) {}

  async create(entity: any): Promise<any> {
    return await this.repo.save(entity);
  }
}
